/* Product Image Hover Widget Styles */
.custom-product-image-widget {
    position: relative;
    width: 100%;
    height: 100%;
}

.custom-product-image-widget img {
    width: 24.089vw;
    height: 24.089vw;
    transition: opacity 0.3s ease-in-out;
    object-fit: contain;
    mix-blend-mode: multiply;
}

.custom-product-image-widget .featured-image {
    object-fit: contain;
}

.custom-product-image-widget .hover-overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 6.895vw;
    background-color: #cfd0c6;
    opacity: 0;
    /* Hidden by default */
    color: #fff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    z-index: 10;
    border-top: solid 1px #a8a9a2;
    padding: 1.042vw;
    transition: opacity 0.3s ease-in-out;
}

.info-box {
    transition: background-color 0s ease-in-out !important;
}

.custom-product-image-widget .hover-overlay .attribute-count,
.custom-product-image-widget .hover-overlay .variation-count,
.custom-product-image-widget .hover-overlay .product-info,
.custom-product-image-widget .hover-overlay .add-to-wishlist-btn a {
    margin: 0.365vw 0;
    text-align: center;
    font-family: var(--e-global-typography-primary-font-family), Sans-serif;
    font-size: var(--e-global-typography-primary-font-size);
    font-weight: var(--e-global-typography-primary-font-weight);
    line-height: var(--e-global-typography-primary-line-height);
    color: var(--e-global-color-primary);
    text-transform: uppercase;
}

.custom-product-image-widget img.hover-image {
    display: none;
}

.custom-product-image-widget:hover .hover-overlay {
    opacity: 1;
}

@media(max-width:767px) {
    .custom-product-image-widget .hover-overlay {
        display: none;
    }
}
